# == Class: lxqt
#
# Manages LxQT installation.
#
# === Parameters
#
# === Variables
#
# === Examples
#
#  class { 'lxqt': }
#
# === Authors
#
# Vladimir Rusinov <vladimir@greenmice.info>
#
# === Copyright
#
# Copyright 2015 Vladimir Rusinov, unless otherwise noted.
#
class lxqt {
  # LXQT itself:
  package {
    'lxqt-session':
      ensure => latest;

    'lxmenu-data':
      ensure => latest;

    'lxde-icon-theme':
      ensure => latest;

    'sddm':
      ensure => latest;
  }

  # Misc management utils.
  package {
    'network-manager-applet':
      ensure => latest;

    'pcmanfm-qt5':
      ensure => latest;

    'obconf':
      ensure => latest;
  }

  # Apps:
  package {
      ['smplayer', 'qmmp', 'qterminal', 'qxkb']:
          ensure => latest;
  }
}
