# lxqt

#### Table of Contents

1. [Overview](#overview)
2. [Module Description - What the module does and why it is useful](#module-description)
3. [Setup - The basics of getting started with lxqt](#setup)
    * [What lxqt affects](#what-lxqt-affects)
    * [Beginning with lxqt](#beginning-with-lxqt)
4. [Usage - Configuration options and additional functionality](#usage)
5. [Limitations - OS compatibility, etc.](#limitations)
6. [Development - Guide for contributing to the module](#development)

## Overview

Simple puppet module to install basic LxQT desktop with some essential apps.
Tested on Fedora, should work on other Linux distros with minimal modifications.

## Module Description

Simple puppet module to install basic LxQT desktop with some essential apps.
Tested on Fedora, should work on other Linux distros with minimal modifications.

## Setup

### What lxqt affects

Installs:

* LxQt packages (such as lxqt-session)
* Misc management utils (network-manager-applet, pcmanfm-qt5, obconf)
* Small essential Qt apps: smplayer, qmmp, qterminal, qxkb

### Beginning with lxqt

Just include lxqt class on your nodes/classes.

## Usage

Just include lxqt class on your nodes/classes.

## Limitations

This module was only tested on Fedora.

## Development

Pull requests are welcome here: https://bitbucket.org/rvs/puppet-lxqt/
